package eu.mhsl.minenet.minigames.instance.game.stateless.types.towerdefense.towers;

import net.minestom.server.entity.EntityCreature;
import net.minestom.server.entity.EntityType;
import net.minestom.server.item.ItemStack;
import net.minestom.server.item.Material;

public class ZombieTower extends Tower {
    public ZombieTower() {
        super(EntityType.ZOMBIE, 7, 1, 4);
        this.setItemInMainHand(ItemStack.of(Material.IRON_SWORD));
    }

    @Override
    protected void attack(EntityCreature enemy) {
        this.swingMainHand();
        this.causeDamage(enemy);
    }
}
